Bug 6150 - Check in xf86InitFBManager() is always false
Summary: Check in xf86InitFBManager() is always false
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: git
Hardware: All All
: high minor
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2006-03-06 00:27 UTC by Julio Merino
Modified: 2006-03-07 19:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Sample patch. (607 bytes, patch)
2006-03-06 00:28 UTC, Julio Merino
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julio Merino 2006-03-06 00:27:37 UTC
The xf86InitFBManager function in the  
xc/programs/Xserver/hw/xfree86/common/xf86fbman.c file contains a sanity check  
for input parameters that is always false.  This is found in the following  
line:  
  
    if (FullBox->x2 < FullBox->x2) return FALSE;  
  
As you can see, FullBox->x2 will always be equal to itself, so this check will  
never evaluate to true and do the 'return FALSE'. 
 
I think that the second FullBox->x2 in the conditional should be FullBox->x1 
similar to what the previous line in the file does for the Y coordinate.  See 
the attached patch.
Comment 1 Julio Merino 2006-03-06 00:28:17 UTC
Created attachment 4828 [details] [review]
Sample patch.
Comment 2 Eric Anholt 2006-03-08 14:32:14 UTC
Committed.  Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.